# cp_mgmt_service_udp – Manages service-udp objects on Check Point over Web Services API

New in version 2.9.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Manages service-udp objects on Check Point devices including creating, updating and removing objects.
- All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

accept_replies
boolean

Choices:
- no
- yes

N/A

aggressive_aging dictionary |  | Sets short (aggressive) timeouts for idle connections.
| default_timeout integer |  | Default aggressive aging timeout in seconds.

enable
boolean

Choices:
- no
- yes

N/A

| timeout integer |  | Aggressive aging timeout in seconds.

use_default_timeout
boolean

Choices:
- no
- yes

N/A

auto_publish_session
boolean

Choices:
- no
- yes

Publish the current session if changes have been performed after task completes.

color
string

Choices:
- aquamarine
- black
- blue
- crete blue
- burlywood
- cyan
- dark green
- khaki
- orchid
- dark orange
- dark sea green
- pink
- turquoise
- dark blue
- firebrick
- brown
- forest green
- gold
- dark gold
- gray
- dark gray
- light green
- lemon chiffon
- coral
- sea green
- sky blue
- magenta
- purple
- slate blue
- violet red
- navy blue
- olive
- orange
- red
- sienna
- yellow

Color of the object. Should be one of existing colors.

comments string |  | Comments string.

details_level
string

Choices:
- uid
- standard
- full

The level of detail for some of the fields in the response can vary from showing only the UID value of the object to a fully detailed representation of the object.

groups list |  | Collection of group identifiers.

ignore_errors
boolean

Choices:
- no
- yes

Apply changes ignoring errors. You won't be able to publish such a changes. If ignore-warnings flag was omitted - warnings will also be ignored.

ignore_warnings
boolean

Choices:
- no
- yes

Apply changes ignoring warnings.

keep_connections_open_after_policy_installation
boolean

Choices:
- no
- yes

Keep connections open after policy has been installed even if they are not allowed under the new policy. This overrides the settings in the Connection Persistence page. If you change this property, the change will not affect open connections, but only future connections.

match_by_protocol_signature
boolean

Choices:
- no
- yes

A value of true enables matching by the selected protocol's signature - the signature identifies the protocol as genuine. Select this option to limit the port to the specified protocol. If the selected protocol does not support matching by signature, this field cannot be set to true.

match_for_any
boolean

Choices:
- no
- yes

Indicates whether this service is used when 'Any' is set as the rule's service and there are several service objects with the same source port and protocol.

name string / required |  | Object name.

override_default_settings
boolean

Choices:
- no
- yes

Indicates whether this service is a Data Domain service which has been overridden.

port string |  | The number of the port used to provide this service. To specify a port range, place a hyphen between the lowest and highest port numbers, for example 44-55.

protocol
string

Select the protocol type associated with the service, and by implication, the management server (if any) that enforces Content Security and Authentication for the service. Selecting a Protocol Type invokes the specific protocol handlers for each protocol type, thus enabling higher level of security by parsing the protocol, and higher level of connectivity by tracking dynamic actions (such as opening of ports).

session_timeout integer |  | Time (in seconds) before the session times out.
source_port string |  | Port number for the client side service. If specified, only those Source port Numbers will be Accepted, Dropped, or Rejected during packet inspection. Otherwise, the source port is not inspected.

state
string

Choices:
- present ←
- absent

State of the access rule (present or absent). Defaults to present.

sync_connections_on_cluster
boolean

Choices:
- no
- yes

Enables state-synchronized High Availability or Load Sharing on a ClusterXL or OPSEC-certified cluster.

tags list |  | Collection of tag identifiers.

use_default_session_timeout
boolean

Choices:
- no
- yes

Use default virtual session timeout.

version string |  | Version of checkpoint. If not given one, the latest version taken.

wait_for_task
boolean

Choices:
- no
- yes ←

Wait for the task to end. Such as publish task.

## Examples

    - name: add-service-udp
      cp_mgmt_service_udp:
        accept_replies: false
        aggressive_aging:
          enable: true
          timeout: 360
          use_default_timeout: false
        keep_connections_open_after_policy_installation: false
        match_for_any: true
        name: New_UDP_Service_1
        port: 5669
        session_timeout: 0
        state: present
        sync_connections_on_cluster: true

    - name: set-service-udp
      cp_mgmt_service_udp:
        accept_replies: true
        aggressive_aging:
          default_timeout: 3600
        color: green
        name: New_UDP_Service_1
        port: 5656
        state: present

    - name: delete-service-udp
      cp_mgmt_service_udp:
        name: New_UDP_Service_2
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
cp_mgmt_service_udp dictionary | always, except when deleting the object. | The checkpoint object created or updated.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Or Soffer (@chkp-orso)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.